package Cairo::Install::Files;

$self = {
          'deps' => [],
          'inc' => '-I. -Ibuild -I/usr/armv7l-linux-musleabihf/usr/include/cairo -I/usr/armv7l-linux-musleabihf/usr/include/freetype2 -I/usr/armv7l-linux-musleabihf/usr/include/libpng16 -I/usr/armv7l-linux-musleabihf/usr/include/pixman-1 -I/usr/armv7l-linux-musleabihf/usr/include/cairo -I/usr/armv7l-linux-musleabihf/usr/include/pixman-1 -I/usr/armv7l-linux-musleabihf/usr/include/freetype2 -I/usr/armv7l-linux-musleabihf/usr/include/libpng16',
          'libs' => '-L/usr/armv7l-linux-musleabihf/usr/lib32 -lcairo -L/usr/armv7l-linux-musleabihf/usr/lib32 -lcairo -lfreetype',
          'typemaps' => [
                          'cairo-perl-auto.typemap',
                          'cairo-perl.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Cairo/Install/Files.pm") {
			$CORE = $_ . "/Cairo/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		if ($lang ne 'C') {
			warn "Warning: Inline hints not available for $lang language
";
			return;
		}
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
